Configuration in Angular In-place Editor

25 Sep 202617 minutes to read

Rendering modes

This section explains the supported rendering modes of the Angular In-place Editor. Possible Rendering modes are as follows.

* Popup
* Inline

By default, Popup mode will be rendered, when opening an editor.

  • For Popup mode, editable container displays as like tooltip or popover above the element.

  • For Inline mode, editable container displays as instead of the element. To render Inline mode while opening the editor, specify mode as Inline.

In the following sample, the In-place Editor renders with Inline mode. You can dynamically switch into another mode by changing the drop-down item value.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { InPlaceEditorAllModule } from '@syncfusion/ej2-angular-inplace-editor'
import { DropDownListAllModule  } from '@syncfusion/ej2-angular-dropdowns'




import { Component, ViewChild } from '@angular/core';
import { InPlaceEditorComponent, RenderMode } from '@syncfusion/ej2-angular-inplace-editor';
import { ChangeEventArgs } from '@syncfusion/ej2-dropdowns';

@Component({
imports: [
         InPlaceEditorAllModule, DropDownListAllModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
    <div id='container'>
        <table class="table-section">
            <tr>
                <td> Mode: </td>
                <td>
                    <ejs-dropdownlist #dropDown (change)="onChange($event)" id='dropDown' width="auto" [dataSource]='modeData' value='Inline' placeholder="Select Mode">
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td"> Enter your name: </td>
                <td class="sample-td">
                    <ejs-inplaceeditor #element id="element" mode="Inline" value="Andrew" [model]="model"></ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
    `
})

export class AppComponent {
  @ViewChild('element') editObj?: InPlaceEditorComponent;
  public model: Object = {  placeholder: 'Enter some text' };
  public modeData: string[] = ['Inline', 'Popup'];

  public onChange(e: ChangeEventArgs): void {
    const mode: RenderMode = e.itemData.value as RenderMode;
    (this.editObj as InPlaceEditorComponent).mode = mode;
    this.editObj?.dataBind();
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Pop-up customization

In-place Editor popup mode can be customized by using the title and model properties in popupSettings API.

Popup mode rendered by using the Essential® JS 2 Tooltip component, so you can use tooltip properties and events to customize the behavior of popup via the model property of popupSettings API.

For more details, refer the tooltip documentation section.

In the following sample, popup title and position customized using the popupSettings property. All possible tooltip position data configured in the drop-down, if we change drop down item, selected value bound to model property and applied it to Tooltip component. Tooltip has following position options.

  • TopLeft
  • TopCenter
  • TopRight
  • BottomLeft
  • BottomCenter
  • BottomRight
  • LeftTop
  • LeftCenter
  • LeftBottom
  • RightTop
  • RightCenter
  • RightBottom
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { InPlaceEditorAllModule } from '@syncfusion/ej2-angular-inplace-editor'
import { DropDownListAllModule  } from '@syncfusion/ej2-angular-dropdowns'




import { Component, ViewChild } from '@angular/core';
import { InPlaceEditorComponent } from '@syncfusion/ej2-angular-inplace-editor';
import { ChangeEventArgs } from '@syncfusion/ej2-dropdowns';

@Component({
imports: [
         InPlaceEditorAllModule, DropDownListAllModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
    <div id='container'>
        <table class="table-section">
            <tr>
                <td> Position: </td>
                <td>
                    <ejs-dropdownlist #dropDown (change)="onChange($event)" id='dropDown' width="auto" [dataSource]='positionData' value='BottomCenter' placeholder="Select a position" popupHeight="150px">
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td  class="edit-heading sample-td"> Enter your name: </td>
                <td  class="sample-td">
                    <ejs-inplaceeditor #element id="element" mode="Popup" value="Andrew" [model]="model" [popupSettings]="popupSettingsModel"></ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
    `
})

export class AppComponent {
  @ViewChild('element') editObj?: InPlaceEditorComponent;
  public model: Object = {  placeholder: 'Enter some text' };
  public popupSettingsModel: object = { title: 'Enter name', model : { position: 'BottomCenter' }};
  public positionData: string[] = ['TopLeft', 'TopCenter',
  'TopRight', 'BottomLeft', 'BottomCenter', 'BottomRight', 'LeftTop', 'LeftCenter', 'LeftBottom', 'RightTop', 'RightCenter', 'RightBottom'];

  public onChange(e: ChangeEventArgs): void {
    (this.editObj as any).popupSettings.model.position = e.value;
    this.editObj?.dataBind();
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Event actions for editing

The event action of the editor that enable in the edit mode based on the editableOn property, by default Click is assigned, the following options are also supported.

  • Click: The editor will be opened as single click actions.
  • DblClick: The editor will be opened as double-click actions and it is not applicable for edit icon.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.

In-place Editor get focus by pressing the tab key from previous focusable DOM element and then by pressing enter key, the editor will be opened.

In the following sample, when switching drop-down item, the selected value assigned to the editableOn property. If you changed to DblClick, the editor will open when making a double click on the input.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { InPlaceEditorAllModule } from '@syncfusion/ej2-angular-inplace-editor'
import { DropDownListAllModule  } from '@syncfusion/ej2-angular-dropdowns'



import { Component, ViewChild } from '@angular/core';
import { InPlaceEditorComponent, EditableType } from '@syncfusion/ej2-angular-inplace-editor';
import { ChangeEventArgs } from '@syncfusion/ej2-dropdowns';

@Component({
imports: [
         InPlaceEditorAllModule, DropDownListAllModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
       <div id='container'>
        <table class="table-section">
            <tr>
                <td> EditableOn: </td>
                <td>
                    <ejs-dropdownlist #dropDown (change)="onChange($event)" id='dropDown' width="auto" [dataSource]='editableOnData' value='Click' placeholder="Select edit type">
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td  class="sample-td"> Enter your name: </td>
                <td  class="sample-td">
                    <ejs-inplaceeditor #element id="element" mode="Inline" value="Andrew" [model]="model"></ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
    `
})

export class AppComponent {
  @ViewChild('element') editObj?: InPlaceEditorComponent;
  public model: Object = {  placeholder: 'Enter some text' };
  public editableOnData: string[] = ['Click', 'DblClick', 'EditIconClick'];

  public onChange(e: ChangeEventArgs): void {
    let editType: EditableType = e.itemData.value as EditableType;
    (this.editObj as InPlaceEditorComponent).editableOn = editType;
    this.editObj?.dataBind();
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Action on focus out

Action to be performed when the user clicks outside the container, that means focusing out of editable content and it can be handled by the actionOnBlur property, by default Submit assigned. It also has the following options.

  • Cancel: Cancels the editing and resets the old content.
  • Submit: Submits the edited content to the server.
  • Ignore: No action is performed with this type and allows to edit multiple editors.

In the following sample, when switching drop-down item, the selected value assigned to the actionOnBlur property.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { InPlaceEditorAllModule } from '@syncfusion/ej2-angular-inplace-editor'
import { DropDownListAllModule  } from '@syncfusion/ej2-angular-dropdowns'



import { Component, ViewChild } from '@angular/core';
import { InPlaceEditorComponent, ActionBlur } from '@syncfusion/ej2-angular-inplace-editor';
import { ChangeEventArgs } from '@syncfusion/ej2-dropdowns';

@Component({
imports: [
         InPlaceEditorAllModule, DropDownListAllModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
       <div id='container'>
    <table class="table-section">
        <tr>
            <td> ActionOnBlur: </td>
            <td>
                <div id="dropDown"></div>
                <ejs-dropdownlist #dropDown (change)="onChange($event)" id='dropDown' width="auto" [dataSource]='blurActionData' value='Submit' placeholder="Select blur action">
                </ejs-dropdownlist>
            </td>
        </tr>
        <tr>
            <td  class="sample-td"> Enter your name: </td>
            <td  class="sample-td">
                <ejs-inplaceeditor #element id="element" mode="Inline" value="Andrew" [model]="model"></ejs-inplaceeditor>
            </td>
        </tr>
    </table>
</div>
    `
})

export class AppComponent {
  @ViewChild('element') editObj?: InPlaceEditorComponent;
  public model: Object = {  placeholder: 'Enter some text' };
  public blurActionData: string[] = ['Submit', 'Cancel', 'Ignore'];

  public onChange(e: ChangeEventArgs): void {
    let editType: ActionBlur = e.itemData.value as ActionBlur;
    (this.editObj as InPlaceEditorComponent).actionOnBlur = editType;
    this.editObj?.dataBind();
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Display modes

By default, Angular In-place Editor input element highlighted with a dotted underline. To remove dotted underline from input element, add data-underline="false" attribute at Angular In-place Editor root element.

The following sample, denotes intractable and normal display modes with different samples.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { InPlaceEditorAllModule } from '@syncfusion/ej2-angular-inplace-editor'



import { Component } from '@angular/core';
import { InPlaceEditorComponent } from '@syncfusion/ej2-angular-inplace-editor';

@Component({
imports: [
         InPlaceEditorAllModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
       <div id='container'>
    <h4>Example of data-underline attribute</h4>
    <table class="table-section">
        <tr>
            <td class="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Intractable UI </td>
            <td class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                <ejs-inplaceeditor id="default" mode="Inline" value="Andrew" [model]="model"></ejs-inplaceeditor>
            </td>
        </tr>
        <tr>
            <td class="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Normal UI </td>
            <td class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                <ejs-inplaceeditor id="inline" data-underline="false" mode="Inline" value="Andrew" [model]="model"></ejs-inplaceeditor>
            </td>
        </tr>
    </table>
</div>
    `
})

export class AppComponent {
  public model: Object = {  placeholder: 'Enter some text' };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See Also

Configuration in React In-place Editor

Rendering modes

The React In-place Editor supports two rendering modes:

  • Popup
  • Inline

By default, the component renders in Popup mode when opening the editor.

  • Popup mode: The editable container displays as a tooltip or popover above the element.

  • Inline mode: The editable container replaces the element directly, without a popup. Specify mode as Inline to enable this mode.

In the following sample, the React In-place Editor renders in Inline mode. Dynamically switch modes by changing the dropdown selection.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from 'react';
class App extends React.Component {
    inplaceEditorObj;
    dropdownObj;
    modeData = ['Inline', 'Popup'];
    model = { placeholder: 'Enter some text' };
    onChange(e) {
        const mode = e.itemData.value;
        this.inplaceEditorObj.mode = mode;
        this.inplaceEditorObj.dataBind();
    }
    render() {
        return (<div id='container'>
          <table className="table-section">
          <tbody>
              <tr>
                  <td> Mode: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource={this.modeData} width='auto' change={this.onChange = this.onChange.bind(this)} value='Inline' placeholder='Select Mode'/>
                  </td>
              </tr>
              <tr>
                  <td className="sample-td"> Enter your name: </td>
                  <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text; }} id='element' mode='Inline' value='Andrew' model={this.model}/>
                  </td>
                </tr>
                </tbody>
            </table>
      </div>);
    }
}
export default App;
import { InPlaceEditorComponent, RenderMode } from '@syncfusion/ej2-react-inplace-editor';
import { DropDownListComponent , ChangeEventArgs } from '@syncfusion/ej2-react-dropdowns';
import * as React from 'react';import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent, RenderMode } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component {
  public inplaceEditorObj: InPlaceEditorComponent;
  public dropdownObj: DropDownListComponent;

  public modeData = ['Inline', 'Popup'];
  public model = { placeholder: 'Enter some text' };

  public onChange(e: ChangeEventArgs): void {
    const mode: RenderMode = e.itemData.value as RenderMode;
    this.inplaceEditorObj.mode = mode;
    this.inplaceEditorObj.dataBind();
  }

  public render() {
    return (
      <div id='container'>
          <table className="table-section">
          <tbody>
              <tr>
                  <td> Mode: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource= {this.modeData} width='auto' change={ this.onChange = this.onChange.bind(this) } value='Inline' placeholder='Select Mode'/>
                  </td>
              </tr>
              <tr>
                  <td  className="sample-td"> Enter your name: </td>
                  <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text! }} id='element' mode='Inline' value='Andrew' model={this.model} />
                  </td>
                </tr>
                </tbody>
            </table>
      </div>
    );
  }
}
export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from 'react';
function App() {
    let inplaceEditorObj;
    let dropdownObj;
    let modeData = ['Inline', 'Popup'];
    let model = { placeholder: 'Enter some text' };
    function onChange(e) {
        const mode = e.itemData.value;
        inplaceEditorObj.mode = mode;
        inplaceEditorObj.dataBind();
    }
    return (<div id='container'>
          <table className="table-section">
          <tbody>
              <tr>
                  <td> Mode: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource={modeData} width='auto' change={onChange = onChange.bind(this)} value='Inline' placeholder='Select Mode'/>
                  </td>
              </tr>
              <tr>
                  <td className="sample-td"> Enter your name: </td>
                  <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text; }} id='element' mode='Inline' value='Andrew' model={model}/>
                  </td>
                </tr>
                </tbody>
            </table>
      </div>);
}
export default App;
import { InPlaceEditorComponent, RenderMode } from '@syncfusion/ej2-react-inplace-editor';
import { DropDownListComponent , ChangeEventArgs } from '@syncfusion/ej2-react-dropdowns';
import * as React from 'react';import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent, RenderMode } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App (){
  let inplaceEditorObj: InPlaceEditorComponent;
  let dropdownObj: DropDownListComponent;

  let modeData = ['Inline', 'Popup'];
  let model = { placeholder: 'Enter some text' };

  function onChange(e: ChangeEventArgs): void {
    const mode: RenderMode = e.itemData.value as RenderMode;
    inplaceEditorObj.mode = mode;
    inplaceEditorObj.dataBind();
  }

    return (
      <div id='container'>
          <table className="table-section">
          <tbody>
              <tr>
                  <td> Mode: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource= {modeData} width='auto' change={ onChange = onChange.bind(this) } value='Inline' placeholder='Select Mode'/>
                  </td>
              </tr>
              <tr>
                  <td  className="sample-td"> Enter your name: </td>
                  <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text! }} id='element' mode='Inline' value='Andrew' model={model} />
                  </td>
                </tr>
                </tbody>
            </table>
      </div>
    );

}
export default App;

Pop-up customization

Customize the popup mode by using the title and model properties in the popupSettings API.

The popup is rendered using the Essential® JS 2 React Tooltip component. Customize popup behavior by configuring tooltip properties and events through the model property of popupSettings.

For more details, refer to the Tooltip documentation section.

In the following sample, the popup title and position are customized using the popupSettings property. The dropdown lists all available tooltip positions. When a dropdown item is selected, the corresponding position value is bound to the model property and applied to the Tooltip component. Available position options include:

  • TopLeft
  • TopCenter
  • TopRight
  • BottomLeft
  • BottomCenter
  • BottomRight
  • LeftTop
  • LeftCenter
  • LeftBottom
  • RightTop
  • RightCenter
  • RightBottom

[Class-component]

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
class App extends React.Component {
    inplaceEditorObj;
    dropdownObj;
    positionData = ['TopLeft', 'TopCenter', 'TopRight', 'BottomLeft', 'BottomCenter', 'BottomRight', 'LeftTop', 'LeftCenter', 'LeftBottom', 'RightTop', 'RightCenter', 'RightBottom'];
    model = { placeholder: 'Enter some text' };
    popupSettings = { title: 'Enter name', model: { position: 'BottomCenter' } };
    onChange(e) {
        this.inplaceEditorObj.popupSettings.model.position = e.value;
        this.inplaceEditorObj.dataBind();
    }
    render() {
        return (<div id='container'>
          <table className="table-section">
            <tbody>
                <tr>
                  <td> Position: </td>
                  <td>
                    <DropDownListComponent id='dropDown' value='BottomCenter' dataSource={this.positionData} placeholder='Select a position' popupHeight='150px' change={this.onChange = this.onChange.bind(this)}/>
                  </td>
                </tr>
                <tr>
                    <td className="edit-heading sample-td"> Enter your name: </td>
                    <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text; }} id='element' mode='Popup' value='Andrew' model={this.model} popupSettings={this.popupSettings}/>
                    </td>
                </tr>
              </tbody>
            </table>
      </div>);
    }
}
export default App;
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component {
  public inplaceEditorObj: InPlaceEditorComponent;
  public dropdownObj: DropDownListComponent;

  public positionData = ['TopLeft', 'TopCenter', 'TopRight', 'BottomLeft', 'BottomCenter', 'BottomRight', 'LeftTop', 'LeftCenter', 'LeftBottom', 'RightTop', 'RightCenter', 'RightBottom'];
  public model = { placeholder: 'Enter some text' };
  public popupSettings = { title: 'Enter name', model: { position: 'BottomCenter' } }

  public onChange(e: ChangeEventArgs): void {
    (this.inplaceEditorObj as any).popupSettings.model.position = e.value;
    this.inplaceEditorObj.dataBind();
  }

  public render() {
    return (
      <div id='container'>
          <table className="table-section">
            <tbody>
                <tr>
                  <td> Position: </td>
                  <td>
                    <DropDownListComponent id='dropDown' value='BottomCenter' dataSource= {this.positionData} placeholder='Select a position' popupHeight='150px' change={ this.onChange = this.onChange.bind(this) } />
                  </td>
                </tr>
                <tr>
                    <td  className="edit-heading sample-td"> Enter your name: </td>
                    <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text! }} id='element' mode='Popup' value='Andrew' model={this.model} popupSettings={this.popupSettings} />
                    </td>
                </tr>
              </tbody>
            </table>
      </div>
    );
  }
}
export default App;

[Functional-component]

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
function App() {
    let inplaceEditorObj;
    let dropdownObj;
    let positionData = ['TopLeft', 'TopCenter', 'TopRight', 'BottomLeft', 'BottomCenter', 'BottomRight', 'LeftTop', 'LeftCenter', 'LeftBottom', 'RightTop', 'RightCenter', 'RightBottom'];
    let model = { placeholder: 'Enter some text' };
    let popupSettings = { title: 'Enter name', model: { position: 'BottomCenter' } };
    function onChange(e) {
        inplaceEditorObj.popupSettings.model.position = e.value;
        inplaceEditorObj.dataBind();
    }
    return (<div id='container'>
          <table className="table-section">
            <tbody>
                <tr>
                  <td> Position: </td>
                  <td>
                    <DropDownListComponent id='dropDown' value='BottomCenter' dataSource={positionData} placeholder='Select a position' popupHeight='150px' change={onChange = onChange.bind(this)}/>
                  </td>
                </tr>
                <tr>
                    <td className="edit-heading sample-td"> Enter your name: </td>
                    <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text; }} id='element' mode='Popup' value='Andrew' model={model} popupSettings={popupSettings}/>
                    </td>
                </tr>
              </tbody>
            </table>
      </div>);
}
export default App;
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App (){
  let inplaceEditorObj: InPlaceEditorComponent;
  let dropdownObj: DropDownListComponent;

  let positionData = ['TopLeft', 'TopCenter', 'TopRight', 'BottomLeft', 'BottomCenter', 'BottomRight', 'LeftTop', 'LeftCenter', 'LeftBottom', 'RightTop', 'RightCenter', 'RightBottom'];
  let model = { placeholder: 'Enter some text' };
  let popupSettings = { title: 'Enter name', model: { position: 'BottomCenter' } }

  function onChange(e: ChangeEventArgs): void {
    (inplaceEditorObj as any).popupSettings.model.position = e.value;
    inplaceEditorObj.dataBind();
  }


    return (
      <div id='container'>
          <table className="table-section">
            <tbody>
                <tr>
                  <td> Position: </td>
                  <td>
                    <DropDownListComponent id='dropDown' value='BottomCenter' dataSource= {positionData} placeholder='Select a position' popupHeight='150px' change={ onChange = onChange.bind(this) } />
                  </td>
                </tr>
                <tr>
                    <td  className="edit-heading sample-td"> Enter your name: </td>
                    <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text! }} id='element' mode='Popup' value='Andrew' model={model} popupSettings={popupSettings} />
                    </td>
                </tr>
              </tbody>
            </table>
      </div>
    );
}
export default App;

Event actions for editing

Control when the React In-place Editor enters edit mode by configuring the editableOn property. By default, Click is assigned. The following options are also supported:

  • Click: The editor will be opened as single click actions.
  • DblClick: The editor will be opened as double-click actions and it is not applicable for edit icon.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.

React In-place Editor get focus by pressing the tab key from previous focusable DOM element and then by pressing enter key, the editor will be opened.

In the following sample, when switching drop-down item, the selected value assigned to the editableOn property. If you changed to DblClick, the editor will open when making a double click on the input.

[Class-component]

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
class App extends React.Component {
    inplaceEditorObj;
    dropdownObj;
    editableOnData = ['Click', 'DblClick', 'EditIconClick'];
    model = { placeholder: 'Enter some text' };
    onChange(e) {
        const editType = e.itemData.value;
        this.inplaceEditorObj.editableOn = editType;
        this.inplaceEditorObj.dataBind();
    }
    render() {
        return (<div id='container'>
          <table className="table-section">
            <tbody>
              <tr>
                  <td> EditableOn: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource={this.editableOnData} width='auto' value='Click' change={this.onChange = this.onChange.bind(this)} placeholder='Select edit type'/>
                  </td>
              </tr>
              <tr>
                  <td className="sample-td"> Enter your name: </td>
                  <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text; }} id='element' mode='Inline' value='Andrew' model={this.model}/>
                  </td>
                </tr>
              </tbody>
            </table>
      </div>);
    }
}
export default App;
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { EditableType, InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component {
  public inplaceEditorObj: InPlaceEditorComponent;
  public dropdownObj: DropDownListComponent;

  public editableOnData = ['Click', 'DblClick', 'EditIconClick'];
  public model = { placeholder: 'Enter some text' };

  public onChange(e: ChangeEventArgs): void {
    const editType: EditableType = e.itemData.value as EditableType;
    this.inplaceEditorObj.editableOn = editType;
    this.inplaceEditorObj.dataBind();
  }

  public render() {
    return (
      <div id='container'>
          <table className="table-section">
            <tbody>
              <tr>
                  <td> EditableOn: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource= {this.editableOnData} width='auto' value='Click' change={ this.onChange = this.onChange.bind(this) } placeholder='Select edit type'/>
                  </td>
              </tr>
              <tr>
                  <td  className="sample-td"> Enter your name: </td>
                  <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text! }} id='element' mode='Inline' value='Andrew' model={this.model} />
                  </td>
                </tr>
              </tbody>
            </table>
      </div>
    );
  }
}
export default App;

[Functional-component]

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
function App() {
    let inplaceEditorObj;
    let dropdownObj;
    let editableOnData = ['Click', 'DblClick', 'EditIconClick'];
    let model = { placeholder: 'Enter some text' };
    function onChange(e) {
        const editType = e.itemData.value;
        inplaceEditorObj.editableOn = editType;
        inplaceEditorObj.dataBind();
    }
    return (<div id='container'>
         <table className="table-section">
          <tbody>
            <tr>
                <td> EditableOn: </td>
                <td>
                    <DropDownListComponent id='dropDown' dataSource={editableOnData} width='auto' value='Click' change={onChange = onChange.bind(this)} placeholder='Select edit type'/>
                </td>
            </tr>
            <tr>
                <td className="sample-td"> Enter your name: </td>
                <td className="sample-td">
                    <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text; }} id='element' mode='Inline' value='Andrew' model={model}/>
                </td>
              </tr>
            </tbody>
           </table>
     </div>);
}
export default App;
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { EditableType, InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App () {
  let inplaceEditorObj: InPlaceEditorComponent;
  let dropdownObj: DropDownListComponent;

  let editableOnData = ['Click', 'DblClick', 'EditIconClick'];
  let model = { placeholder: 'Enter some text' };

  function onChange(e: ChangeEventArgs): void {
    const editType: EditableType = e.itemData.value as EditableType;
    inplaceEditorObj.editableOn = editType;
    inplaceEditorObj.dataBind();
  }

    return (
    <div id='container'>
         <table className="table-section">
          <tbody>
            <tr>
                <td> EditableOn: </td>
                <td>
                    <DropDownListComponent id='dropDown' dataSource= {editableOnData} width='auto' value='Click' change={ onChange = onChange.bind(this) } placeholder='Select edit type'/>
                </td>
            </tr>
            <tr>
                <td  className="sample-td"> Enter your name: </td>
                <td  className="sample-td">
                    <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text! }} id='element' mode='Inline' value='Andrew' model={model} />
                </td>
              </tr>
            </tbody>
           </table>
     </div>
    );

}
export default App;

Action on focus out

Action to be performed when the user clicks outside the container, that means focusing out of editable content and it can be handled by the actionOnBlur property, by default Submit assigned. It also has the following options.

  • Cancel: Cancels the editing and resets the old content.
  • Submit: Submits the edited content to the server.
  • Ignore: No action is performed with this type and allows to edit multiple editors.

In the following sample, when switching drop-down item, the selected value assigned to the actionOnBlur property.

[Class-component]

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
class App extends React.Component {
    inplaceEditorObj;
    dropdownObj;
    blurActionData = ['Submit', 'Cancel', 'Ignore'];
    model = { placeholder: 'Enter some text' };
    onChange(e) {
        const editType = e.itemData.value;
        this.inplaceEditorObj.actionOnBlur = editType;
        this.inplaceEditorObj.dataBind();
    }
    render() {
        return (<div id='container'>
          <table className="table-section">
              <tbody>
              <tr>
                  <td> ActionOnBlur: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource={this.blurActionData} width='auto' value='Submit' change={this.onChange = this.onChange.bind(this)} placeholder='Select blur action'/>
                  </td>
              </tr>
              <tr>
                  <td className="sample-td"> Enter your name: </td>
                  <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text; }} id='element' mode='Inline' value='Andrew' model={this.model}/>
                  </td>
                </tr>
              </tbody>
            </table>
      </div>);
    }
}
export default App;
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ActionBlur, InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component {
  public inplaceEditorObj: InPlaceEditorComponent;
  public dropdownObj: DropDownListComponent;

  public blurActionData = ['Submit', 'Cancel', 'Ignore'];
  public model = { placeholder: 'Enter some text' };

  public onChange(e: ChangeEventArgs): void {
    const editType: ActionBlur = e.itemData.value as ActionBlur;
    this.inplaceEditorObj.actionOnBlur = editType;
    this.inplaceEditorObj.dataBind();
  }

  public render() {
    return (
      <div id='container'>
          <table className="table-section">
              <tbody>
              <tr>
                  <td> ActionOnBlur: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource= {this.blurActionData} width='auto' value='Submit' change={ this.onChange = this.onChange.bind(this) } placeholder='Select blur action'/>
                  </td>
              </tr>
              <tr>
                  <td  className="sample-td"> Enter your name: </td>
                  <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { this.inplaceEditorObj = text! }} id='element' mode='Inline' value='Andrew' model={this.model} />
                  </td>
                </tr>
              </tbody>
            </table>
      </div>
    );
  }
}
export default App;

[Functional-component]

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
function App() {
    let inplaceEditorObj;
    let dropdownObj;
    let blurActionData = ['Submit', 'Cancel', 'Ignore'];
    let model = { placeholder: 'Enter some text' };
    function onChange(e) {
        const editType = e.itemData.value;
        inplaceEditorObj.actionOnBlur = editType;
        inplaceEditorObj.dataBind();
    }
    return (<div id='container'>
          <table className="table-section">
              <tbody>
              <tr>
                  <td> ActionOnBlur: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource={blurActionData} width='auto' value='Submit' change={onChange = onChange.bind(this)} placeholder='Select blur action'/>
                  </td>
              </tr>
              <tr>
                  <td className="sample-td"> Enter your name: </td>
                  <td className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text; }} id='element' mode='Inline' value='Andrew' model={model}/>
                  </td>
                </tr>
              </tbody>
            </table>
      </div>);
}
export default App;
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ActionBlur, InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App () {
  let inplaceEditorObj: InPlaceEditorComponent;
  let dropdownObj: DropDownListComponent;

  let blurActionData = ['Submit', 'Cancel', 'Ignore'];
  let model = { placeholder: 'Enter some text' };

  function onChange(e: ChangeEventArgs): void {
    const editType: ActionBlur = e.itemData.value as ActionBlur;
    inplaceEditorObj.actionOnBlur = editType;
    inplaceEditorObj.dataBind();
  }

    return (
      <div id='container'>
          <table className="table-section">
              <tbody>
              <tr>
                  <td> ActionOnBlur: </td>
                  <td>
                      <DropDownListComponent id='dropDown' dataSource= {blurActionData} width='auto' value='Submit' change={ onChange = onChange.bind(this) } placeholder='Select blur action'/>
                  </td>
              </tr>
              <tr>
                  <td  className="sample-td"> Enter your name: </td>
                  <td  className="sample-td">
                      <InPlaceEditorComponent ref={(text) => { inplaceEditorObj = text! }} id='element' mode='Inline' value='Andrew' model={model} />
                  </td>
                </tr>
              </tbody>
            </table>
      </div>
    );
}
export default App;

Display modes

By default, React In-place Editor input element highlighted with a dotted underline. To remove dotted underline from input element, add data-underline="false" attribute at React In-place Editor root element.

In the following sample shows intractable and normal display modes with different samples.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
class App extends React.Component {
    model = { placeholder: 'Enter some text' };
    render() {
        return (<div id='container'>
         <h4>Example of data-underline attribute</h4>
         <table className="table-section">
            <tbody>
             <tr>
                <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Intractable UI </td>
                <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                    <InPlaceEditorComponent id='default' mode='Inline' value='Andrew' model={this.model}/>
                </td>
             </tr>
             <tr>
                 <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Normal UI </td>
                 <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                    <InPlaceEditorComponent id='element' data-underline='false' mode='Inline' value='Andrew' model={this.model}/>
                 </td>
              </tr>
              </tbody>
           </table>
     </div>);
    }
}
export default App;
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component {
  public model = { placeholder: 'Enter some text' };

  public render() {
    return (
    <div id='container'>
         <h4>Example of data-underline attribute</h4>
         <table className="table-section">
            <tbody>
             <tr>
                <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Intractable UI </td>
                <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                    <InPlaceEditorComponent id='default' mode='Inline' value='Andrew' model={this.model} />
                </td>
             </tr>
             <tr>
                 <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Normal UI </td>
                 <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                    <InPlaceEditorComponent id='element' data-underline='false' mode='Inline' value='Andrew' model={this.model} />
                 </td>
              </tr>
              </tbody>
           </table>
     </div>
    );
  }
}
export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
function App() {
    let model = { placeholder: 'Enter some text' };
    return (<div id='container'>
          <h4>Example of data-underline attribute</h4>
          <table className="table-section">
              <tbody>
              <tr>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Intractable UI </td>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                      <InPlaceEditorComponent id='default' mode='Inline' value='Andrew' model={model}/>
                  </td>
              </tr>
              <tr>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Normal UI </td>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                      <InPlaceEditorComponent id='element' data-underline='false' mode='Inline' value='Andrew' model={model}/>
                  </td>
                </tr>
                </tbody>
            </table>
      </div>);
}
export default App;
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App (){
  let model = { placeholder: 'Enter some text' };

    return (
      <div id='container'>
          <h4>Example of data-underline attribute</h4>
          <table className="table-section">
              <tbody>
              <tr>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Intractable UI </td>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                      <InPlaceEditorComponent id='default' mode='Inline' value='Andrew' model={model} />
                  </td>
              </tr>
              <tr>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6 control-title"> Normal UI </td>
                  <td className="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                      <InPlaceEditorComponent id='element' data-underline='false' mode='Inline' value='Andrew' model={model} />
                  </td>
                </tr>
                </tbody>
            </table>
      </div>
    );
  
}
export default App;

See Also

Configuration in Vue In-place Editor

20 Aug 202624 minutes to read

Rendering modes

This section explains the supported rendering modes of the In-place Editor. Possible Rendering modes are as follows.

* Popup
* Inline

By default, Popup mode will be rendered, when opening an editor.

  • For Popup mode, editable container displays as like tooltip or popover above the element.

  • For Inline mode, editable container displays as instead of the element. To render Inline mode while opening the editor, specify mode as Inline.

In the following sample, the In-place Editor renders with Inline mode. You can dynamically switch into another mode by changing the drop-down item value.

<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>Mode</td>
                <td>
                    <ejs-dropdownlist ref="editorMode" id="editorMode" :dataSource='dataPlace'
                        :change='changeEditorMode' :value='dataValue' :fields='placeFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Inline" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script setup>
import { ref } from "vue";
import { InPlaceEditorComponent as EjsInplaceeditor } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";

const editObj = ref(null);
const editorMode = ref(null);
const textModel = {
    placeholder: 'Enter Some Name'
};
const dataValue = 'inline';
const placeFields = { text: 'mode', value: 'id' };
const dataPlace = [{ id: 'inline', mode: 'Inline' }, { id: 'popup', mode: 'Popup' }];

const changeEditorMode = function (args) {
    let editMode = editorMode.value.$el.value;
    editObj.value.ej2Instances.mode = editMode;
    editObj.value.ej2Instances.dataBind();
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

tr td:first-child {
    text-align: right;
    padding-right: 20px;
}

.sample-td {
    padding-top: 10px;
    min-width: 230px;
    height: 100px;
}
</style>
<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>Mode</td>
                <td>
                    <ejs-dropdownlist ref="editorMode" id="editorMode" :dataSource='dataPlace'
                        :change='changeEditorMode' :value='dataValue' :fields='placeFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Inline" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script>
import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
    name: "App",
    components: {
        "ejs-dropdownlist": DropDownListComponent,
        "ejs-inplaceeditor": InPlaceEditorComponent
    },
    data() {
        return {
            textModel: {
                placeholder: 'Enter Some Name'
            },
            dataValue: 'inline',
            placeFields: { text: 'mode', value: 'id' },
            dataPlace: [{ id: 'inline', mode: 'Inline' }, { id: 'popup', mode: 'Popup' }],
        }
    },
    methods: {
        changeEditorMode: function (args) {
            const editMode = this.$refs.editorMode.$el.value;
            this.$refs.editObj.ej2Instances.mode = editMode;
            this.$refs.editObj.ej2Instances.dataBind();
        }
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

tr td:first-child {
    text-align: right;
    padding-right: 20px;
}

.sample-td {
    padding-top: 10px;
    min-width: 230px;
    height: 100px;
}
</style>

Pop-up customization

In-place Editor popup mode can be customized by using the title and model properties in popupSettings API.

Popup mode rendered by using the Essential® JS 2 Tooltip component, so you can use tooltip properties and events to customize the behavior of popup via the model property of popupSettings API.

For more details, refer the tooltip documentation section.

In the following sample, popup title and position customized using the popupSettings property. All possible tooltip position data configured in the drop-down, if we change drop down item, selected value bound to model property and applied it to Tooltip component. Tooltip have following position options.

  • TopLeft
  • TopCenter
  • TopRight
  • BottomLeft
  • BottomCenter
  • BottomRight
  • LeftTop
  • LeftCenter
  • LeftBottom
  • RightTop
  • RightCenter
  • RightBottom
<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>Position</td>
                <td>
                    <ejs-dropdownlist ref="editorMode" id="editorMode" :dataSource='dataPlace'
                        :change='changeEditorMode' :value='dataValue' :fields='placeFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="edit-heading sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Popup" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel" :popupSettings="textpopupsettings">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script setup>
import { ref } from "vue";
import { InPlaceEditorComponent as EjsInplaceeditor } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";

const editObj = ref(null);
const editorMode = ref(null);
const textModel = {
    placeholder: 'Enter Some Name'
}
const textpopupsettings = {
    model: {
        position: 'BottomCenter'
    }
}
const dataValue = 'BottomCenter';
const placeFields = { text: 'mode', value: 'id' };
const dataPlace = [{ id: 'TopLeft', mode: 'TopLeft' }, { id: 'TopCenter', mode: 'TopCenter' }, { id: 'TopRight', mode: 'TopRight' }, { id: 'BottomLeft', mode: 'BottomLeft' }, { id: 'BottomCenter', mode: 'BottomCenter' }, { id: 'BottomRight', mode: 'BottomRight' }, { id: 'LeftTop', mode: 'LeftTop' }, { id: 'LeftCenter', mode: 'LeftCenter' }, { id: 'LeftBottom', mode: 'LeftBottom' }, { id: 'RightTop', mode: 'RightTop' }, { id: 'RightCenter', mode: 'RightCenter' }, { id: 'RightBottom', mode: 'RightBottom' }];

const changeEditorMode = function (args) {
    const positions = editorMode.value.$el.value;
    editObj.value.ej2Instances.popupSettings.model.position = positions;
    editObj.value.ej2Instances.dataBind();
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

.sample-td {
    padding-top: 150px;
}

.edit-heading {
    padding-right: 20px;
}
</style>
<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>Position</td>
                <td>
                    <ejs-dropdownlist ref="editorMode" id="editorMode" :dataSource='dataPlace'
                        :change='changeEditorMode' :value='dataValue' :fields='placeFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="edit-heading sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Popup" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel" :popupSettings="textpopupsettings">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script>
import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
    name: "App",
    components: {
        "ejs-dropdownlist": DropDownListComponent,
        "ejs-inplaceeditor": InPlaceEditorComponent
    },
    data() {
        return {
            textModel: {
                placeholder: 'Enter Some Name',
            },
            textpopupsettings: {
                model: {
                    position: 'BottomCenter'
                }
            },
            dataValue: 'BottomCenter',
            placeFields: { text: 'mode', value: 'id' },
            dataPlace: [{ id: 'TopLeft', mode: 'TopLeft' }, { id: 'TopCenter', mode: 'TopCenter' }, { id: 'TopRight', mode: 'TopRight' }, { id: 'BottomLeft', mode: 'BottomLeft' }, { id: 'BottomCenter', mode: 'BottomCenter' }, { id: 'BottomRight', mode: 'BottomRight' }, { id: 'LeftTop', mode: 'LeftTop' }, { id: 'LeftCenter', mode: 'LeftCenter' }, { id: 'LeftBottom', mode: 'LeftBottom' }, { id: 'RightTop', mode: 'RightTop' }, { id: 'RightCenter', mode: 'RightCenter' }, { id: 'RightBottom', mode: 'RightBottom' }],
        }
    },
    methods: {
        changeEditorMode: function (args) {
            let positions = this.$refs.editorMode.$el.value;
            this.$refs.editObj.ej2Instances.popupSettings.model.position = positions;
            this.$refs.editObj.ej2Instances.dataBind();
        }
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

.sample-td {
    padding-top: 150px;
}

.edit-heading {
    padding-right: 20px;
}
</style>

Event actions for editing

The event action of the editor that enable in the edit mode based on the editableOn property, by default Click is assigned, the following options are also supported.

  • Click: The editor will be opened as single click actions.
  • DblClick: The editor will be opened as double-click actions and it is not applicable for edit icon.
  • EditIconClick: Disables the editing of event action of input and allows user to edit only through edit icon.

In-place Editor get focus by pressing the tab key from previous focusable DOM element and then by pressing enter key, the editor will be opened.

In the following sample, when switching drop-down item, the selected value assigned to the editableOn property. If you changed to DblClick, the editor will open when making a double click on the input.

<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>EditableOn</td>
                <td>
                    <ejs-dropdownlist ref="editableOn" id="editableon" :dataSource='editableData' :change='onEditableOn'
                        :value='editableValue' :fields='editableFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Inline" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script setup>
import { ref } from "vue";
import { InPlaceEditorComponent as EjsInplaceeditor } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";

const editableOn = ref(null);
const editObj = ref(null);
const textModel = {
    placeholder: 'Enter Some Text'
};
const editableFields = { text: 'editable', value: 'id' };
const editableData = [{ id: 'Click', editable: 'Click' }, { id: 'DblClick', editable: 'Double Click' }, { id: 'EditIconClick', editable: 'Edit Icon Click' }];
const editableValue = 'Click';

const onEditableOn = function () {
    let editableOn = editableOn.value.ej2Instances.value;
    editObj.value.ej2Instances.editableOn = editableOn;
    editObj.value.dataBind();
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

tr td:first-child {
    text-align: right;
    padding-right: 20px;
}

.sample-td {
    padding-top: 10px;
    min-width: 230px;
    height: 100px;
}
</style>
<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>EditableOn</td>
                <td>
                    <ejs-dropdownlist ref="editableOn" id="editableon" :dataSource='editableData' :change='onEditableOn'
                        :value='editableValue' :fields='editableFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Inline" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script>

import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
    name: "App",
    components: {
        "ejs-dropdownlist": DropDownListComponent,
        "ejs-inplaceeditor": InPlaceEditorComponent,
    },
    data() {
        return {
            textModel: {
                placeholder: 'Enter Some Text'
            },
            editableFields: { text: 'editable', value: 'id' },
            editableData: [{ id: 'Click', editable: 'Click' }, { id: 'DblClick', editable: 'Double Click' }, { id: 'EditIconClick', editable: 'Edit Icon Click' }],
            editableValue: 'Click',
        }
    },
    methods: {
        onEditableOn: function () {
            let editableOn = this.$refs.editableOn.ej2Instances.value;
            this.$refs.editObj.ej2Instances.editableOn = editableOn;
            this.$refs.editObj.ej2Instances.dataBind();
        },
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

tr td:first-child {
    text-align: right;
    padding-right: 20px;
}

.sample-td {
    padding-top: 10px;
    min-width: 230px;
    height: 100px;
}
</style>

Action on focus out

Action to be performed when the user clicks outside the container, that means focusing out of editable content and it can be handled by the actionOnBlur property, by default Submit assigned. It also has the following options.

  • Cancel: Cancels the editing and resets the old content.
  • Submit: Submits the edited content to the server.
  • Ignore: No action is performed with this type and allows to edit multiple editors.

In the following sample, when switching drop-down item, the selected value assigned to the actionOnBlur property.

<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>ActionOnBlur</td>
                <td>
                    <ejs-dropdownlist ref="actions" id="actions" :dataSource='blurActionData' :change='onEditableOn'
                        :value='actionValue' :fields='actionFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Inline" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script setup>
import { ref } from "vue";
import { InPlaceEditorComponent as EjsInplaceeditor } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";

const actions = ref(null);
const editObj = ref(null);
const textModel = {
    placeholder: 'Enter Some Text'
}
const actionFields = { text: 'editable', value: 'id' }
const blurActionData = [{ id: 'Submit', editable: 'Submit' }, { id: 'Cancel', editable: 'Cancel' }, { id: 'Ignore', editable: 'Ignore' }];
const actionValue = 'Submit'


const onEditableOn = function () {
    let actionType = actions.value.ej2Instances.value;
    editObj.value.ej2Instances.actionOnBlur = actionType;
    editObj.value.ej2Instances.dataBind();
}

</script>
<template>
    <div id="app">
        <table class="table-section">
            <tr>
                <td>ActionOnBlur</td>
                <td>
                    <ejs-dropdownlist ref="actions" id="actions" :dataSource='blurActionData' :change='onEditableOn'
                        :value='actionValue' :fields='actionFields'>
                    </ejs-dropdownlist>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Enter your Name</td>
                <td class="sample-td">
                    <ejs-inplaceeditor ref="editObj" id="inplace_editor" mode="Inline" type="Text" value="Andrew"
                        submitOnEnter="true" :model="textModel">
                    </ejs-inplaceeditor>
                </td>
            </tr>
        </table>
    </div>
</template>

<script>
import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
    name: "App",
    components: {
        "ejs-dropdownlist": DropDownListComponent,
        "ejs-inplaceeditor": InPlaceEditorComponent,
    },
    data() {
        return {
            textModel: {
                placeholder: 'Enter Some Text'
            },
            actionFields: { text: 'editable', value: 'id' },
            blurActionData: [{ id: 'Submit', editable: 'Submit' }, { id: 'Cancel', editable: 'Cancel' }, { id: 'Ignore', editable: 'Ignore' }],
            actionValue: 'Submit',
        };
    },
    methods: {
        onEditableOn: function () {
            var actionType = this.$refs.actions.ej2Instances.value;
            this.$refs.editObj.ej2Instances.actionOnBlur = actionType;
            this.$refs.editObj.ej2Instances.dataBind();
        }
    }
}
</script>

Display modes

By default, In-place Editor input element highlighted with a dotted underline. To remove dotted underline from input element, add data-underline="false" attribute at In-place Editor root element.

In the following sample, denotes to indicate intractable and normal display modes with different samples.

<template>
    <div id="app">
        <h4>Example of data-underline attribute</h4>
        <table class="table-section">
            <tr>
                <td>Intractable UI</td>
                <td>
                    <ejs-inplaceeditor mode="Inline" :model="textModel" type="Text" value="Andrew">
                    </ejs-inplaceeditor>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Normal UI </td>
                <td class="sample-td">
                    <ejs-inplaceeditor mode="Inline" :model="textModel" type="Text" data-underline="false"
                        value="Andrew" />
                </td>
            </tr>
        </table>
    </div>
</template>
<script setup>

import { InPlaceEditorComponent as EjsInplaceeditor } from '@syncfusion/ej2-vue-inplace-editor';

const textModel = {
    placeholder: 'Enter Some Text'
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

tr td:first-child {
    text-align: right;
    padding-right: 20px;
}

.sample-td {
    padding-top: 10px;
    min-width: 230px;
    height: 100px;
}

h4 {
    text-align: center;
    font-size: 18px;
}
</style>
<template>
    <div id="app">
        <h4>Example of data-underline attribute</h4>
        <table class="table-section">
            <tr>
                <td>Intractable UI</td>
                <td>
                    <ejs-inplaceeditor mode="Inline" :model="textModel" type="Text" value="Andrew">
                    </ejs-inplaceeditor>
                </td>
            </tr>
            <tr>
                <td class="sample-td">Normal UI </td>
                <td class="sample-td">
                    <ejs-inplaceeditor mode="Inline" :model="textModel" type="Text" data-underline="false"
                        value="Andrew" />
                </td>
            </tr>
        </table>
    </div>
</template>
<script>

import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';

export default {
    name: "App",
    components: {
        "ejs-inplaceeditor": InPlaceEditorComponent
    },
    data() {
        return {
            textModel: {
                placeholder: 'Enter Some Text'
            },
        };
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inplace-editor/styles/material.css";

.table-section {
    margin: 0 auto;
}

tr td:first-child {
    text-align: right;
    padding-right: 20px;
}

.sample-td {
    padding-top: 10px;
    min-width: 230px;
    height: 100px;
}

h4 {
    text-align: center;
    font-size: 18px;
}
</style>

See Also